/*  Copyright 2011 Simon Wheatley

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

jQuery( document ).ready( function( $ ) {
	
	var chars_str, lengths;
	
	function count_chars() {
		// get new length of characters
		var new_length, str;
		str = $( '#mbe2s_new_post_message, #mbe2s_sms_message' ).val();
		str = str.replace( '{blog_name}', lengths.blog_name )
			.replace( '{blog_url}', lengths.blog_url );
		// These lengths are present on the settings page, but not
		// on the "send message" page.
		if ( $( '#char_lengths .post_title .value' ).length ) {
			str = str.replace( '{post_title}', lengths.post_title )
				.replace( '{post_author}', lengths.post_author )
				.replace( '{post_url}', lengths.post_url );
		}
		new_length = str.length;
		jQuery( '#mbe2s_count' ).text( chars_str.replace( '0', new_length ) );  
	}
	
	function init_options() {
		lengths = new Object();
		lengths.blog_name = str_of_length( Number( $( '#char_lengths .blog_name .value' ).text() ) );
		lengths.blog_url = str_of_length( Number( $( '#char_lengths .blog_url .value' ).text() ) );
		// These lengths are present on the settings page, but not
		// on the "send message" page.
		if ( $( '#char_lengths .post_title .value' ).length ) {
			lengths.post_title = str_of_length( Number( $( '#char_lengths .post_title .value' ).text() ) );
			lengths.post_author = str_of_length( Number( $( '#char_lengths .post_author .value' ).text() ) );
			lengths.post_url = str_of_length( Number( $( '#char_lengths .post_url .value' ).text() ) );
		}
		chars_str = $( '#mbe2s_count' ).text();
		$( '#mbe2s_new_post_message, #mbe2s_sms_message' ).each( count_chars ).keyup( count_chars );
	}

	function str_of_length( len ) {
		var i, str = '';
		for ( i = 0; i <= len; i++ )
        	str += 'z';
		return str;
	}

	$( '#adminmenu a.toplevel_page_mbe2s_sms' ).text( mbe2s.menu_label );
	if ( $( '#mbe2s_new_post_message, #mbe2s_sms_message' ).length )
		init_options();
	
} );
