/*  Copyright 2011 Simon Wheatley

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

// Make it safe to use console.log always
(function(b){function c(){}for(var d="assert,count,debug,dir,dirxml,error,exception,group,groupCollapsed,groupEnd,info,log,markTimeline,profile,profileEnd,time,timeEnd,trace,warn".split(","),a;a=d.pop();)b[a]=b[a]||c})(window.console=window.console||{});

jQuery( function( $ ) { 

	function initialise() {
		$( 'form.mbe2s-subscribe select' ).each( function() {
			var optgroups, options, form, i, html, select;
			optgroups = new Object();
			options = new Object();
			select = $( this );
			form = select.parents( 'form' );
			// First we need to construct an array from the OPTGROUPs (countries)
			// and OPTIONs (providers) in the initial SELECT element.
			select.find( 'optgroup' ).each( function() {
				var cur_class = $( this ).attr( 'class' );
				optgroups[ cur_class ] = $( this ).attr( 'label' );
				options[ cur_class ] = new Object();
				$( this ).find( 'option' ).each( function() {
					options[ cur_class ][ $( this ).attr( 'value' ) ] = $( this ).text();
				} );
			} );
			// A SELECT element allowing the user to pick a country
			html  = "<p class='mbe2s-countries'><label><span>" + mbe2s_widget.country_label + "</span>";
			html += "<select name='countries'>";
			html += "<option value=''>– " + mbe2s_widget.pick_country + " –</option>";
			for ( name in optgroups ) {
				html += "<option value='" + name.replace( 'mbe2s-', '' ) + "'>" + optgroups[ name ] + "</option>";
			}
			html += "</select></label></p>";
			// A series of SELECT elements, each representing a country
			// and the providers in that country.
			for ( country in options ) {
				html  += "<p class='mbe2s-country mbe2s-country-" + country.replace( 'mbe2s-', '' ) + "'><label><span>" + mbe2s_widget.select_country_provider + "</span><select name='provider' disabled='disabled'>";
				for ( provider in options[ country ] ) {
					html += "<option value='" + provider + "'>" + options[ country ][ provider ] + "</option>";
				}
				html += "</select></label></p>";
			}
			form.prepend( html );
			// Remove initial select element
			select.parents( 'p.mbe2s-provider' ).remove();
			// We use this class to apply styles as part of the JS/CSS UI
			form.addClass( 'mbe2s-js' );
			form.find( 'p.mbe2s-countries select' ).change( function() {
				form.find( 'p.mbe2s-country' ).hide().find( 'select' ).attr( 'disabled', 'disabled' );
				form.find( 'p.mbe2s-country-' + $( this ).val() ).show().find( 'select' ).removeAttr( 'disabled' );
			} );
			// When the form submits, instead send an AJAX query
			form.submit( function( e ) {
				var url, data, errors, errors_str, i;
				e.preventDefault();
				url = form.attr( 'action' );
				data = new Object();
				// Start constructing the data we'll POST over with AJAX
				errors = new Array();
				data.action = 'mbe2s_subscribe';
				data.provider = form.find( 'p.mbe2s-country select' ).not( ':disabled' ).val();
				data.number = form.find( '.mbe2s-number input' ).val();
				// Validate collected date
				if ( ! data.provider )
					errors.push( mbe2s_widget.error_provider );
				if ( ! data.number )
					errors.push( mbe2s_widget.error_number );
				// Show the user any validation errors
				if ( errors.length ) {
					if ( ! form.find( 'div.mbe2s-errors' ).length ) {
						form.find( 'p.mbe2s-subscribe' ).before( '<div class="mbe2s-errors"></div>' );
					}
					errors_str  = '<ul>';
					for ( i in errors ) {
						errors_str += '<li>' + errors[ i ] + '</li>';
					}
					errors_str += '</ul>';
					form.find( 'div.mbe2s-errors' ).html( errors_str );
					return; // No point in continuing until the validation errors are fixed
				} else {
					form.find( 'div.mbe2s-errors' ).remove();
				}
				$.post( url, data, function( reply, status ) {
					if ( 'success' == status ) {
						form.html( reply );
					}
				}, 'html' );
			} );
		} );
	}

	$( document ).ready( initialise );

} );
