 <?php if (!defined ('ABSPATH')) die ('No direct access allowed'); ?>

<div class="wrap">
	<div id="icon-mbe2s-mobile" class="icon32"><br></div>
	<h2><?php _e( 'Send an SMS Message', 'mbe2s' ); ?></h2>
	
	<form action="" method="post">
		<?php wp_nonce_field( 'mbe2s-send-message', '_mbe2s_nonce' ); ?>

		<table class="form-table">
			<tr>
				<th>
					<label for="mbe2s_sms_message"><?php _e( 'Your SMS message', 'mbe2s' ); ?></label><br />
					<em id="mbe2s_count"><?php _e( '0 characters, approx', 'mbe2s' ); ?></em>				</th>
				<td><textarea name="mbe2s_sms_message" id="mbe2s_sms_message" rows="5" cols="30"></textarea><br>
				<span class="description">
					<?php _e( 'You should attempt to keep your message below 160 characters in order to fit into a single SMS message. Putting the URL in the first half of the message is strongly recommended, as it is of variable length and may otherwise be clipped. You can use the following special codes which will be replaced when the SMS messages are sent. The number in rounded brackets after each code is the number of characters that code might represent, where necessary working on average lengths for things like post titles.', 'mbe2s' ); ?>
					<ul id="char_lengths">
						<li class="blog_name"><var>{blog_name}</var> (<span class="value"><?php echo esc_html( $length_blog_name ); ?></span>) – <?php _e( 'The name of your blog', 'mbe2s' ); ?></li>
						<li class="blog_url"><var>{blog_url}</var> (<span class="value"><?php echo esc_html( $length_blog_url ); ?></span>) – <?php _e( 'The web address of your blog homepage', 'mbe2s' ); ?></li>
					</ul>
					<br /><br />
					<?php _e( 'We recommend you only use basic characters in your message, e.g. a-z, A-Z, and limited punctuation. As an example, some gateways have issues with exclamation marks!', 'mbe2s' ); ?>
				</span></td>
			</tr>
			</tbody>
		</table>

		<p class="submit"><input type="submit" name="submit" id="submit" class="button-primary" value="<?php esc_attr_e( 'Send SMS', 'mbe2s' ); ?>"></p>

	</form>
	
</div>