 <?php if (!defined ('ABSPATH')) die ('No direct access allowed'); ?>

<div class="wrap">
	<div id="icon-options-general" class="icon32"><br></div>
	<h2><?php _e( 'SMS Settings', 'mbe2s' ); ?></h2>

	<p><form action="" method="post">
		<?php wp_nonce_field( 'mbe2s-reload-providers', '_mbe2s_nonce' ); ?>
		<input type="hidden" name="action" value="reload-providers" />
		<input type="submit" name="reload" value="<?php echo esc_attr( __( 'Reload Providers', 'mbe2s' ) ); ?>" class="button-primary" /> <?php printf( __( 'Connect to Mediaburst and download the <a href="%s">latest providers list</a>. You should not normally need to do this, as WordPress will automatically do it for you on a daily basis.', 'mbe2s' ), apply_filters( 'mbe2s_providers_csv_url', Email2SMS_Providers::DATA_URL ) ); ?>
	</form></p>

	<h3><?php _e( 'Notifications' ); ?></h3>
	
	<form action="" method="post">
		<?php wp_nonce_field( 'mbe2s-save-settings', '_mbe2s_nonce' ); ?>
		<input type="hidden" name="action" value="save-settings" />

		<table class="form-table">
			<tbody><tr>
				<th scope="row"><?php _e( 'Notify SMS subscribers', 'mbe2s' ); ?></th>
				<td>
					<fieldset>
						<legend class="screen-reader-text"><span><?php _e( 'Notify SMS subscribers', 'mbe2s' ); ?></span></legend>
						<label for="mbe2s_new_post">
							<input name="mbe2s_new_post" type="checkbox" id="mbe2s_new_post" value="1" <?php checked( $new_post ); ?> />
							<?php _e( 'when a new post is published', 'mbe2s' ); ?></label><br>
					</fieldset>
				</td>
			</tr>
			<tr>
				<th>
					<label for="mbe2s_new_post_message"><?php _e( 'New post message', 'mbe2s' ); ?></label><br />
					<em id="mbe2s_count"><?php _e( '0 characters, approx', 'mbe2s' ); ?></em>
				</th>
				<td><textarea name="mbe2s_new_post_message" id="mbe2s_new_post_message" rows="5" cols="30"><?php echo format_to_edit( $new_post_message ); ?></textarea><br>
				<span class="description">
					<?php _e( 'You should attempt to keep your message below 160 characters in order to fit into a single SMS message. Putting the URL in the first half of the message is strongly recommended, as it is of variable length and may otherwise be clipped. You can use the following special codes which will be replaced when the SMS messages are sent. The number in rounded brackets after each code is the number of characters that code might represent, where necessary working on average lengths for things like post titles.' ); ?>
					<ul id="char_lengths">
						<li class="blog_name"><var>{blog_name}</var> (<span class="value"><?php echo esc_html( $length_blog_name ); ?></span>) – <?php _e( 'The name of your blog', 'mbe2s' ); ?></li>
						<li class="blog_url"><var>{blog_url}</var> (<span class="value"><?php echo esc_html( $length_blog_url ); ?></span>) – <?php _e( 'The web address of your blog homepage', 'mbe2s' ); ?></li>
						<li class="post_title"><var>{post_title}</var> (<span class="value"><?php echo esc_html( $length_post_title ); ?></span>) – <?php _e( 'The title of the post', 'mbe2s' ); ?></li>
						<li class="post_excerpt"><var>{post_excerpt}</var> (<span class="value"><?php echo esc_html( $length_post_excerpt ); ?></span>) – <?php _e( 'The excerpt of the post, note that this can be longer than a single text… use carefully', 'mbe2s' ); ?></li>
						<li class="post_author"><var>{post_author}</var> (<span class="value"><?php echo esc_html( $length_post_author ); ?></span>) – <?php _e( 'The display name of the author of the post', 'mbe2s' ); ?></li>
						<li class="post_url"><var>{post_url}</var> (<span class="value"><?php echo esc_html( $length_post_url ); ?></span>) – <?php _e( 'The web address of the post', 'mbe2s' ); ?></li>
					</ul>
					<br /><br />
					<?php _e( 'We recommend you only use basic characters in your message, e.g. a-z, A-Z, and limited punctuation. As an example, some gateways have issues with exclamation marks!', 'mbe2s' ); ?>
				</span></td>
			</tr>
			</tbody>
		</table>

		<p class="submit"><input type="submit" name="submit" id="submit" class="button-primary" value="<?php esc_attr_e( 'Save Settings', 'mbe2s' ); ?>"></p>

	</form>

	<p><form action="" method="post">
		<?php wp_nonce_field( 'mbe2s-delete-uninstall', '_mbe2s_nonce' ); ?>
		<input type="hidden" name="action" value="delete-uninstall" />
		<input type="submit" name="delete" value="<?php echo esc_attr( __( 'Delete and Uninstall', 'mbe2s' ) ); ?>" class="button-uninstall" /> <?php _e( 'This will permanently delete the plugin data, including all of your subscribers, then de-activate this plugin.', 'mbe2s' ); ?>
	</form></p>
	
</div>