 <?php if (!defined ('ABSPATH')) die ('No direct access allowed'); ?>

<div class="wrap">
<div id="icon-mbe2s-mobile" class="icon32"><br></div>
<h2><?php _e( 'SMS Providers', 'mbe2s' ); ?></h2>

<p><?php printf( __( 'This list of SMS providers is provided and vetted by <a href="%1$s">Mediaburst</a> as a community service for Email to SMS users. If you know of other providers, or any of these providers are not working for you, please do <a href="%2$s">let us know</a> so we can improve the list for everyone. You can also <a href="%3$s">download the list</a> in CSV format.' ), 'http://www.mediaburst.co.uk/', 'http://www.mediaburst.co.uk/forum/', apply_filters( 'mbe2s_providers_csv_url', Email2SMS_Providers::DATA_URL ) ); ?></p>

<table class="wp-list-table widefat fixed mbe2s-providers" cellspacing="0">
	<thead>
		<tr>
			<th scope="col" id="active" class="manage-column column-active"><span><?php _e( 'Available', 'mbe2s' ); ?></span></th>
			<th scope="col" id="provider-id" class="manage-column column-provider-id"><span><?php _e( 'Provider ID', 'mbe2s' ); ?></span></th>
			<th scope="col" id="country" class="manage-column column-country"><span><?php _e( 'Country', 'mbe2s' ); ?></span></th>
			<th scope="col" id="name" class="manage-column column-name"><span><?php _e( 'Name', 'mbe2s' ); ?></span></th>
			<th scope="col" id="format" class="manage-column column-format"><span><?php _e( 'E-mail Format', 'mbe2s' ); ?></span></th>
			<th scope="col" id="description" class="manage-column column-description"><span><?php _e( 'Further Info', 'mbe2s' ); ?></span></th>
		</tr>
	</thead>

	<tfoot>
		<tr>
			<th scope="col" class="manage-column column-active"><span><?php _e( 'Available', 'mbe2s' ); ?></span></th>
			<th scope="col" class="manage-column column-provider-id"><span><?php _e( 'Provider ID', 'mbe2s' ); ?></span></th>
			<th scope="col" class="manage-column column-country"><span><?php _e( 'Country', 'mbe2s' ); ?></span></th>
			<th scope="col" class="manage-column column-name"><span><?php _e( 'Name', 'mbe2s' ); ?></span></th>
			<th scope="col" class="manage-column column-format"><span><?php _e( 'E-mail Format', 'mbe2s' ); ?></span></th>
			<th scope="col" class="manage-column column-description"><span><?php _e( 'Further Info', 'mbe2s' ); ?></span></th>
		</tr>
	</tfoot>

	<tbody id="the-list" class="list:provider">
		
	<?php $row_class = ''; foreach ( $providers as $p ) : ?>

		<?php $class = ( $alt_class == '' ? 'alternate' : '' ) . ' ' . ( $p->provider_active ? 'active' : 'inactive' ); ?>

		<tr id="provider-<?php echo esc_html( $p->provider_id ); ?>" class="<?php echo $class; ?> ">
			<td scope="row" class="active column-active"><?php echo ( $p->provider_active ) ? __( 'yes', 'mbe2s' ) : __( 'no', 'mbe2s' ) ; ?></td>
			<td class="provider-id column-provider-id"><?php echo esc_html( $p->provider_id ); ?></td>
			<td class="country column-country"><?php echo esc_html( $p->provider_country ); ?></td>
			<th scope="row" class="name column-name"><strong><?php echo esc_html( $p->provider_name ); ?></strong></th>
			<td class="domain column-format"><kbd><?php echo esc_html( $p->provider_prefix ); ?><strong><?php _ex( '{NUMBER}', 'Used in the providers table, e.g. ""', 'mbe2s' ); ?></strong>@<?php echo esc_html( $p->provider_domain ); ?></kbd></td>
			<td class="description column-description"><?php if ( $p->provider_link ) : ?><a href="<?php echo esc_attr( $p->provider_link ); ?>"><?php _e( 'More information', 'mbe2s' ); ?></a><?php else : ?>–<?php endif; ?></td>
		</tr>

	<?php endforeach; ?>

	</tbody>
</table>

</div>