 <?php if (!defined ('ABSPATH')) die ('No direct access allowed'); ?>

<div class="wrap">
<div id="icon-mbe2s-mobile" class="icon32"><br></div>
<h2><?php _e( 'SMS Providers', 'mbe2s' ); ?></h2>

<p><?php printf( __( 'The list of Email to SMS providers is maintained by <a href="%1$s">Mediaburst</a> as a service to the community. Where a provider is marked as "no service available" we have identified an issue with the Email to SMS service for that provider. Where a subscriber is marked "unknown provider", the provider identified for that subscriber has disappeared somehow.  If you know of other providers, or any of these providers are not working for you, please do <a href="%2$s">let us know</a> so we can improve the list for everyone.', 'mbe2s' ), 'http://www.mediaburst.co.uk/', 'http://www.mediaburst.co.uk/forum/' ); ?></p>

<form id="subscribers-filter" action="" method="post">
	<input type="hidden" name="page" value="mbe2s_sms" />
	<?php wp_nonce_field( 'subscriber_action', '_mbe2s_nonce' ); ?>

	<div class="tablenav top">
		<div class="alignleft actions">
			<select name="action">
				<option value="-1" selected="selected"><?php _e( 'Bulk Actions', 'mbe2s' ); ?></option>
				<option value="delete"><?php _e( 'Delete', 'mbe2s' ); ?></option>
			</select>
			<input type="submit" name="" id="doaction" class="button-secondary action" value="Apply">
		</div>
		
		<?php echo mbe2s_pagination( array( 'total_items' => $total_items, 'current' => $page, 'total_pages' => $total_pages, 'which' => 'top' ) ); ?>
		
	</div>

<table class="wp-list-table widefat fixed mbe2s-subscribers" cellspacing="0">
	<thead>
	<tr>
		<th scope="col" id="cb" class="manage-column column-cb check-column" style=""><input type="checkbox"></th>
		<th scope="col" id="country" class="manage-column column-mobile"><span><?php _e( 'Mobile Number', 'mbe2s' ); ?></span></th>
		<th scope="col" id="name" class="manage-column column-provider"><span><?php _e( 'Provider', 'mbe2s' ); ?></span></th>
		<th scope="col" id="domain" class="manage-column column-provider-id"><span><?php _e( 'Provider ID', 'mbe2s' ); ?></span></th>
	</tr>
	</thead>

	<tfoot>
	<tr>
		<th scope="col" class="manage-column column-cb check-column" style=""><input type="checkbox"></th>		
		<th scope="col" class="manage-column column-mobile"><span><?php _e( 'Mobile Number', 'mbe2s' ); ?></span></th>
		<th scope="col" class="manage-column column-provider"><span><?php _e( 'Provider', 'mbe2s' ); ?></span></th>
		<th scope="col" class="manage-column column-provider-id"><span><?php _e( 'Provider ID', 'mbe2s' ); ?></span></th>
	</tr>
	</tfoot>

	<tbody id="the-list" class="list:subscriber">

	<?php $row_class = ''; foreach ( $subscribers as $s ) : $row_class = ( $row_class == '' ? ' class="alternate"' : '' ); ?>

		<?php $class = ( $alt_class == '' ? 'alternate' : '' ) . ' ' . ( $s->provider_active ? 'provider-active' : 'provider-inactive' ) . ' ' . ( $s->provider_id ? 'provider' : 'no-provider' ); ?>

		<tr id="subscriber-<?php echo esc_html( $s->subscriber_id ); ?>" class="<?php echo $class; ?>">
			<th scope="row" class="check-column"><input type="checkbox" name="subscribers[]" id="subscriber_<?php echo esc_html( $s->subscriber_id ); ?>" class="administrator" value="<?php echo esc_html( $s->subscriber_id ); ?>"></th>
			<td class="mobile column-mobile">
				<label for="subscriber_<?php echo esc_html( $s->subscriber_id ); ?>">
					<?php echo esc_html( $s->subscriber_number ); ?>
				</label>
			</td>
			<th class="provider column-provider">
				<?php if ( $s->provider_id ) : ?>
					<?php echo esc_html( $s->provider_name ) . ', ' . esc_html( $s->provider_country ); ?>
					<?php if ( ! $s->provider_active ) : ?>
						<?php _e( '(no service available)', 'mbe2s' ); ?>
					<?php endif; ?>
				<?php else : ?>
					<?php _e( '(unknown provider)', 'mbe2s' ); ?>
				<?php endif; ?>
			</th>
			<td class="provider-id column-provider-id">
				<?php if ( $s->provider_id ) : ?>
					<?php echo esc_html( $s->provider_id ); ?>
				<?php else : ?>
					–
				<?php endif; ?>
			</td>
		</tr>

	<?php endforeach; ?>

	</tbody>
</table>

</form>

</div>